import request from '@/utils/request'

// 查询基础配置-账户配置、小程序配置的内容列表
export function listBaseConfig(query) {
  return request({
    url: '/base/baseConfig/list',
    method: 'get',
    params: query
  })
}

// 查询基础配置-账户配置、小程序配置的内容详细
export function getBaseConfig(id) {
  return request({
    url: '/base/baseConfig/' + id,
    method: 'get'
  })
}

// 新增基础配置-账户配置、小程序配置的内容
export function addBaseConfig(data) {
  return request({
    url: '/base/baseConfig',
    method: 'post',
    data: data
  })
}

// 修改基础配置-账户配置、小程序配置的内容
export function updateBaseConfig(data) {
  return request({
    url: '/base/baseConfig',
    method: 'put',
    data: data
  })
}

// 删除基础配置-账户配置、小程序配置的内容
export function delBaseConfig(id) {
  return request({
    url: '/base/baseConfig/' + id,
    method: 'delete'
  })
}
